
#############################################################################
startMenu=/usr/share/applications
##将文件所属用户改为当前用户，组均改为root用户
LOGUSERNAME=`logname`
FileOwner=$LOGUSERNAME:root
##bash_profile路径
BASHPROFILEPATH="/etc/profile"
##用户路径
UserPath=""
if [ "$LOGUSERNAME" = "root" ]
then
    UserPath="/root"
else
    UserPath="/home/$LOGUSERNAME"
fi
##桌面路径
DesktopPath=""
DesktopName=""
if [ -x "$UserPath/桌面" ]
then
    DesktopPath="$UserPath/桌面"
    DesktopName="桌面"
else
    DesktopPath="$UserPath/Desktop"
    DesktopName="Desktop"
fi
##插件路径
WebPluginsPath="/usr/lib/mozilla/plugins"
WebPluginsPath2="/usr/lib/mozilla/"
##QT Version
QTVersionln2="4.8"
QTVersionln1="4"
##JPEG
JPEGVersionln1="62";
##TIFF
TIFFVersionln1="3"
#############################################################################

##卸载旧版本
#if [ -n "$FoxitOfficeSuiteApplicationDirPath" ]
#then

##  1.删除火狐下插件相关
        rm -rf "$WebPluginsPath/libfoxitofficesuite.so"
        rm -rf "$WebPluginsPath2/libfoxitofficesuite.so"
##  2.删除QT lib
        rm -rf $FoxitOfficeSuiteApplicationDirPath

##  4.删除环境变量
        sed -i '/FoxitOfficeSuiteApplicationDirPath/d' $BASHPROFILEPATH
##  5.删除右键菜单,开始菜单项,ofd文档图标及设置关联app相关文件
        ##	开始菜单项
        if [ -f "$startMenu/FoxitOfficeSuite.desktop" ]
        then
                rm -rf "$startMenu/FoxitOfficeSuite.desktop"
        fi
        if [ -f "$startMenu/FoxitOfficeSuite-uninstall.desktop" ]
        then
                rm -rf "$startMenu/FoxitOfficeSuite-uninstall.desktop"
        fi
        ##	右键菜单
        if [ -f "$startMenu/defaults.list" ]
        then
                chmod +w "$startMenu/defaults.list"
                sed  's/;FoxitOfficeSuite.desktop;/;/g' $startMenu/defaults.list>$startMenu/FoxitOfficeSuite.tmpout
                mv $startMenu/FoxitOfficeSuite.tmpout $startMenu/defaults.list
                chmod -w "$startMenu/defaults.list"
        fi
        ##      桌面启动器
        if [ -f "/root/$DesktopName/FoxitOfficeSuite.desktop" ]
        then
                rm -rf "$DesktopPath/FoxitOfficeSuite.desktop"
        fi
	  for NAME in /home/*; 
	  do
		if [ -f  "${NAME}/${DesktopName}/FoxitOfficeSuite.desktop" ]; then
			rm -rf "${NAME}/${DesktopName}/FoxitOfficeSuite.desktop"
		fi
	  done	

        ##     ofd文档图标
        rm -rf /usr/share/icons/ofd-x-FoxitOfficeSuite.png
        ##     关联软件设置文件
        rm -rf /usr/share/mime/packages/application-x-FoxitOfficeSuite.xml
	rm -rf /usr/share/mime/packages/foxitOfficeSuite.xml
        ##     update databases for both application and mime
#        echo "update begin..."
		appXofdXML="/usr/share/mime/packages/application-x-FoxitOfficeSuite.xml"
		if [ -f $appXofdXML ]
		then
			xdg-mime uninstall --mode system $appXofdXML
			rm -rf /usr/share/mime/packages/application-x-FoxitOfficeSuite.xml >/dev/null
		fi
#        echo "update end."

	if [ -x "/.oes_lib" ]
	then
		rm -rf "/.oes_lib"		
	fi
#fi

echo "Restart the computer to make sure completed Remove!"


